* {
    border: none;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    box-sizing: border-box;
}

body::-webkit-scrollbar {
   width: 0px;
   height: 0px;
}

::selection {
   background-color: var(--pink);
}

#backToTopLogo {
   display: none; 
   position: fixed;
   top: 20px; 
   left: 20px; 
   width: 70px;
   height: 70px; 
   cursor: pointer;
   z-index: 1000; 
   opacity: 0;
   transition: opacity 0.5s ease-in-out;
   filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
 }

html, body {
    overscroll-behavior-y: none;
    overscroll-behavior-x: none;
    max-width: 100vw;
    overflow-x: hidden;
    background: transparent;
}

:root {
    --fuchsia: #770248;
    --white: #040404;
    --beige: #D8C7B2;
    --lightpink: #AA8F9F;
    --pink: #FF0099;
  }
h1.title {
   display: none;
}
 h1 {
    font-family: "Nosifer", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 8vw;
    letter-spacing: -0.08em;
    margin: 0;
 }

 h2 {
    font-family: "Inter", sans-serif;
    font-weight: 900;
    font-size: 100px;
    letter-spacing: -8px;
 }

 .header {
    width: 100vw;
    height: 100px;
    color: none;
    position: absolute;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: "Inter", sans-serif;
    font-weight: 400;
    font-size: 18px;
    z-index: 1000;
 }

 .navbar-items {
   display: flex;
   list-style: none;
   padding: 0;
   margin-right: auto;
}

.navbar-items li {
   margin: 0 2vw; 
}

.navbar-items li a {
   text-decoration: none;
   color: var(--beige); 
   
}

.navbar-items li a:hover{
   color: var(--lightpink);
   transition: 0.3s;
}

.socialmedia {
   display: flex;
   align-items: center;
   margin-left: auto;
   margin-right: 20px;
   position:absolute;
   top: 40px;
   right: 20px;
}


 .socialmedia a {
    margin-left: 10px;
    color: var(--beige)
 }

 .socialmedia a:hover {
    color: var(--lightpink);
    transition: 0.3s;
 }

 .hamburger {
   display: none;
   cursor: pointer;
   position: fixed;
}

.hamburger i:hover{
   color: var(--lightpink);
   transition: 0.3s;
}

.hamburger i {
   font-size: 30px;
   color: var(--beige);
   padding: 10px;
}

@media (max-width: 1024px) {
   .navbar-items {
       display: none;
       flex-direction: column;
       align-items: center;
       width: 100vw;
       background-color: var(--fuchsia); /* Hintergrundfarbe */
       position: fixed;
       top: 0;
       left: 0;
       height: 100vh;
       justify-content: center;
       overflow-y: auto;
   }

   .navbar-items.show {
       display: flex;
   }

   .navbar-items li {
       margin: 20px 0;
   }

   .hamburger {
       display: block;
       position: fixed;
       top: 20px;
       right: 20px;
       filter: drop-shadow(1px 2px 2px rgba(0,0,0,0.5));
   }

   .hover-effect .gallery-wrap .item {
      flex: 2;
   }
   
   .hover-effect .gallery-wrap .item::before,
   .hover-effect .gallery-wrap .item::after {
      opacity: 1;
      transform: translateY(0);
   }

   .socialmedia {
       position: absolute;
       top: 10vh; /* Verschiebt die Icons in die obere Mitte */
       left: 50%;
       transform: translateX(-50%);
       display: flex;
       justify-content: center;
       opacity: 1;
   }

   .socialmedia a {
       margin-left: 10px;
       color: var(--beige);
       font-size: 30px;
       padding: 10px;
   }

   .socialmedia a:hover {
       color: var(--lightpink);
       transition: 0.3s;
   }
}

.hero {
   width: 100vw;
   height: 700px;
   position: relative;
   display: flex;
   justify-content: center;
   align-items: center;
   overflow: hidden;
   background-image: url('assets/pictures/all5_overlay.png'); /* Hier den Pfad zum Hintergrundbild einfügen */
   background-size: cover;
   background-position: center;
   background-repeat: no-repeat;
}

.title-logo {
    width: 1000px;
    max-width: 80vw;
    filter: drop-shadow(5px 5px 5px #770248);
 }

 @media (max-width: 1024px){
   .title-logo {
      filter: none;
   }
 }


.about-text {
    display: flex;
    align-items: center;
    width: 50vw;
    height: 500px;
    justify-content: center;
    margin-left: 5vw;
    margin-right: 5vw;
}


.about {
    height: 500px;
    width: 100vw;
    background-color: var(--lightpink);
    display: flex;
    justify-content: center;
    align-items: center;
}

.about-title {
    width: 50vw;
    height: 500px;
    display: flex;
    flex-direction: column;
    justify-content: center; /* Zentriert die Inhalte vertikal */
    text-align: center;
}

.about-text p {
    font-family: "Inter", sans-serif;
    font-weight: 400;
    font-size: 20px;
    color: var(--fuchsia);
}


.about-title h2{
    color: var(--fuchsia);
}

.tour {
   padding-top: 20px;
   padding-bottom: 20px;
   width: 100vw;
   background-color: var(--fuchsia);
   justify-content: center;
   align-items: center;

}

.tour-title {
   display: flex;
   justify-content: center;
   align-items: center;
   overflow: hidden;
   width: 100vw;
   text-align: center;
}

.tour-left{
   color: var(--fuchsia);
   text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}
.tour-right{
   color: var(--fuchsia);
   text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}
.tour-center{
   color: var(--lightpink);
}

.tour-left, .tour-center, .tour-right {
   flex: 1; 
   display: flex;
   justify-content: center; 
   align-items: center;
   text-align: center;
}

.tour-center {
   z-index: 2;
}

.tour-dates {
   justify-content: center;
   align-items: center;
   flex-direction: column;
   display: flex;
   padding-top: 40px;
   padding-bottom: 40px;
}

.date-wrapper {
   border: solid 3px var(--beige);
   border-radius: 10px;
   width: 80vw;
   justify-content: space-between;
   align-items: center;
   display: flex;
   height: 70px;
   max-width: 800px;
   padding-left: 15px;
   padding-right: 15px;
   margin-top: 20px;

   
}

.date {
   font-family: "Inter", sans-serif;
   font-weight: 900;
   font-size: 45px;
   color: white;
}

.event {
   font-family: "Inter", sans-serif;
   font-weight: 500;
   font-size: 30px;
   color: white;
}

.info{
   font-family: "Inter", sans-serif;
   font-weight: 500;
   font-size: 30px;
   color: white;
   background-color: var(--fuchsia);
   border: solid 3px var(--beige);
   border-radius: 10px;
   padding: 5px;
   cursor: pointer;
}

.info:hover {
   color: var(--beige);
   border-color: white;
   transition: 0.3s ease-in-out;
}
.contact {
   height: 600px;
   width: 100vw;
   background-color: var(--lightpink);
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
   overflow: hidden;
}

.h2-contact {
   color: var(--fuchsia);
   padding-top: 20px;
}

.contact-form {
   display: flex;
   flex-direction: column;
   align-items: flex-end;
   width: 80vw;
   max-width: 800px;
   margin: auto;
}
input {
   height: 40px;
}
input, textarea {
   border-radius: 10px;
   width: 80vw;
   margin-top: 10px;
   font-family: "Inter", sans-serif;
   font-weight: 400;
   font-size: 15px;
   padding: 5px;
   padding-left: 15px;
   max-width: 800px;
   color: var(--fuchsia);
   text-align: center;
}


textarea {
   height: 200px;
   resize: none;
   overflow: auto;
}

textarea::-webkit-scrollbar {
   width: 0;
   height: 0;
}

button.send {
   padding: 10px;
   background-color: var(--fuchsia);
   color: var(--beige);
   border-radius: 10px;
   margin-top: 10px;
   align-items: center;
   justify-content: center;
   font-family: "Inter", sans-serif;
   font-weight: 500;
   font-size: 20px;
   align-self: flex-end;
   cursor: pointer;
   padding: 0.7em 0.5em;
   padding-left: 0.9em;
   overflow: hidden;
   display: flex;
 }
 
 button span {
   display: block;
   margin-left: 0.3em;
   transition: all 0.3s ease-in-out;
 }
 
 button svg {
   display: block;
   transform-origin: center center;
   transition: transform 0.3s ease-in-out;
 }
 
 button:hover .svg-wrapper {
   animation: fly-1 0.6s ease-in-out infinite alternate;
 }
 
 button:hover svg {
   transform: translateX(1.8em) rotate(45deg) scale(1.1);
 }
 
 button:hover span {
   transform: translateX(5em);
 }
 
 button:active {
   transform: scale(0.95);
 }
 
 @keyframes fly-1 {
   from {
     transform: translateY(0.1em);
   }
 
   to {
     transform: translateY(-0.1em);
   }
 }

.artists {
   height: 140px;
   width: 100vw;
   background-color: var(--beige);
   justify-content: center;
   align-items: center;
   display: flex;
   overflow: hidden;
}

footer {
   height: 200px;
   width: 100vw;
   background-color: black;
   background-repeat: no-repeat;
   background-size: cover;
   background-position: center;
   justify-content: center;
   align-items: center;
   display: flex;
   flex-direction: column;
}

.footer-items {
   display: flex;
   list-style: none;
   justify-content: center;
   align-items: center;
   padding: 0;
   margin-right: auto;
}

.footer-items li {
   margin: 0 2vw; 
}

.footer-items li a {
   text-decoration: none;
   color: var(--beige);
}

.footer-items li a:hover{
   color: var(--lightpink);
   transition: 0.3s;
}
.footer-nav {
   width: 100vw;
   color: none;
   padding-top: 20px;
   align-items: center;
   font-family: "Inter", sans-serif;
   font-weight: 400;
   font-size: 14px;
}

.contact-mail {
   font-family: "Inter", sans-serif;
   font-weight: 800;
   font-size: 30px;
   color: var(--beige);
   width: 100vw;
   justify-content: center;
   display: flex;
   align-items: center;
   text-align: center;
   padding-top: 20px;
   text-decoration: none;
}

@media (max-width: 1024px){
   .contact-mail {
      font-size: 20px;
   }
}

input::placeholder,
textarea::placeholder {
   text-align: center;
}

textarea:focus, 
textarea:not(:placeholder-shown) {
    text-align: left;
}

input:focus, 
input:not(:placeholder-shown) {
    text-align: left;
}

.impressum {
   font-family: "Inter", sans-serif;
   font-weight: 400;
   font-size: 14px;
   width: 100vw;
   justify-content: center;
   display: flex;
   align-items: center;
   text-align: center;
   padding-top: 20px;
}



.impressum a {
   text-decoration: none;
   color: var(--beige); 
   text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.impressum a:hover{
   color: var(--lightpink);
   transition: 0.3s;
}

.h2-artists {
   color: var(--fuchsia);
}

.contact-mail:hover{
   color: var(--lightpink);
   transition: 0.3s;
}

.copyright{
   font-family: "Inter", sans-serif;
   font-weight: 400;
   font-size: 14px;
   width: 100vw;
   justify-content: center;
   display: flex;
   align-items: center;
   text-align: center;
   padding-top: 20px;
   color: var(--beige);
}

.container{
   width: 100vw;
   height: 400px;
   background-color: var(--beige);
   overflow: hidden;

}

.slide{
   display: flex;
   justify-content: center;
   align-items: center;
   overflow: hidden;
}

.gallery-container1,
.gallery-container2{
   padding: 0;
   margin: 0 auto;
   width: 90%;
   max-width: 1800px;
   min-width: 300px;
   overflow-x: hidden;
   border-radius: 20px;
}

.gallery-item {
   width: 200px;
   height: 200px;
   background-color: #ccc;
   margin: 10px;
}
.gallery-container1 .gallery-wrap,
.gallery-container2 .gallery-wrap  {
   display: flex;
   flex-direction: row;
   width: 100%;
   height: 360px;
   overflow: hidden;
}

.gallery-container1 .gallery-wrap .item,
.gallery-container2 .gallery-wrap .item {
   flex: 1;
   height: 100%;
   background-position: center;
   background-size: cover;
   background-repeat: none;
   transition: .8s ease;
   position: relative;
   }

   .gallery-container1 .gallery-wrap .item::before,
   .gallery-container1 .gallery-wrap .item::after {
       content: "";
       position: absolute;
       bottom: 0;
       color: var(--beige); /* Adjust text color */
       font-family: "Inter", sans-serif;
       font-weight: 400;
       font-size: 18px; /* Adjust as needed */
       opacity: 0; /* Initially hidden */
       transition: opacity 0.8s ease, transform 0.8s ease;
       overflow: hidden;
       justify-content: center;
       align-items: center;
       
   }


   .gallery-container2 .gallery-wrap .item::before,
   .gallery-container2 .gallery-wrap .item::after {
      content: "";
      position: absolute;
      bottom: 0;
      color: var(--beige); /* Adjust text color */
      font-family: "Inter", sans-serif;
      font-weight: 400;
      font-size: 18px; /* Adjust as needed */
      opacity: 0; /* Initially hidden */
      transition: opacity 0.8s ease, transform 0.8s ease;
      overflow: hidden;
      justify-content: center;
      align-items: center;
      transform-origin: top;
   }



   .gallery-container1 .gallery-wrap .item::after,
   .gallery-container2 .gallery-wrap .item::after{
      background-color: var(--fuchsia);
      width: 100%;
      margin: 0;
      padding: 10px;
   }

   .gallery-container1 .gallery-wrap .item:hover::before,
   .gallery-container1 .gallery-wrap .item:hover::after {
    opacity: 1; /* Make text visible */
    transform: translateY(0); /* Ensure text is in place */
   }
   .gallery-container2 .gallery-wrap .item:hover::before,
   .gallery-container2 .gallery-wrap .item:hover::after {
   opacity: 1; /* Make text visible */
   transform: translateY(0); /* Ensure text is in place */
   }

   .gallery-container1 .gallery-wrap .item:hover,
   .gallery-container2 .gallery-wrap .item:hover{
      flex: 2;
   }
   

   .gallery-container1 .gallery-wrap .item:hover::after,
   .gallery-container2 .gallery-wrap .item:hover::after {
      opacity: 1;
   }

   @media (max-width: 1024px) {
      .gallery-container1 .gallery-wrap .item:hover,
      .gallery-container2 .gallery-wrap .item:hover {
         flex: 3;
      }
   }

   @media (max-width: 400px) {
      .gallery-container1 .gallery-wrap .item:hover,
      .gallery-container2 .gallery-wrap .item:hover {
         flex: 4.5;
      }
   }

   @media (min-width: 2000px) {
      .gallery-container1 .gallery-wrap .item:hover,
      .gallery-container2 .gallery-wrap .item:hover {
         flex: 1.2;
      }
   }

   @media (min-width: 1600px) {
      .gallery-container1 .gallery-wrap .item:hover,
      .gallery-container2 .gallery-wrap .item:hover {
         flex: 1.5;
      }
   }

   @media (max-width: 900px) {

      .gallery-container1 .gallery-wrap .item::before,
      .gallery-container1 .gallery-wrap .item::after {
         font-size: 14px; /* Adjust as needed */   
      }
   
   
      .gallery-container2 .gallery-wrap .item::before,
      .gallery-container2 .gallery-wrap .item::after {
         font-size: 14px; /* Adjust as needed */ 
      }
   }


   .gallery-container1 .item:first-of-type {
      background-image: url(/assets/pictures/portrait3.png);
   }
   .gallery-container1 .item:nth-of-type(2){
      background-image: url(/assets/pictures/portrait12.png);
   }
   .gallery-container1 .item:nth-of-type(3){
      background-image: url(/assets/pictures/portrait11.png);
   }
   .gallery-container1 .item:nth-of-type(4){
      background-image: url(/assets/pictures/portrait2.png);
   }
   .gallery-container1 .item:nth-of-type(5){
      background-image: url(/assets/pictures/portrait4.png);
   }
   .gallery-container1 .item:nth-of-type(6){
      background-image: url(/assets/pictures/portrait13.png);
   }
   .gallery-container1 .item:last-of-type{
      background-image: url(/assets/pictures/portrait1.png);
   }
   
   .gallery-container1 .gallery-wrap .item:nth-child(1)::after {
      content: "Mirco - Trompete";
  }
  
  .gallery-container1 .gallery-wrap .item:nth-child(2)::after {
      content: "Mischa - Trompete";
  }
  
  .gallery-container1 .gallery-wrap .item:nth-child(3)::after {
      content: "Dani - Trompete";
  }
  
  .gallery-container1 .gallery-wrap .item:nth-child(4)::after {
      content: "Dennis - Trompete";
  }
  
  .gallery-container1 .gallery-wrap .item:nth-child(5)::after {
      content: "Studi - Bassposaune";
  }
  
  .gallery-container1 .gallery-wrap .item:nth-child(6)::after {
      content: "Flöru - Posaune";
  }
  
  .gallery-container1 .gallery-wrap .item:last-of-type::after {
      content: "Marco - Posaune";
  }
  
 
 


   .gallery-container2 .item:first-of-type {
      background-image: url(/assets/pictures/portrait5.png);
}
   .gallery-container2 .item:nth-of-type(2){
      background-image: url(/assets/pictures/portrait6.png);
   }
   .gallery-container2 .item:nth-of-type(3){
      background-image: url(/assets/pictures/portrait9.png);
   }
   .gallery-container2 .item:nth-of-type(4){
      background-image: url(/assets/pictures/portrait14.png);
   }
   .gallery-container2 .item:nth-of-type(5){
      background-image: url(/assets/pictures/portrait10.png);
   }
   .gallery-container2 .item:nth-of-type(6){
      background-image: url(/assets/pictures/portrait7.png);
   }
   .gallery-container2 .item:last-of-type{
      background-image: url(/assets/pictures/portrait8.png);
   }
   .gallery-container2 .gallery-wrap .item:nth-child(1)::after {
      content: "Pii - Euphonium";
  }
  
  .gallery-container2 .gallery-wrap .item:nth-child(2)::after {
      content: "Irene - Euphonium";
  }
  
  .gallery-container2 .gallery-wrap .item:nth-child(4)::after {
      content: "Lödi - Sousaphon";
  }
  
  .gallery-container2 .gallery-wrap .item:nth-child(5)::after {
      content: "Dino - Percussion";
  }
  
  .gallery-container2 .gallery-wrap .item:last-of-type::after {
      content: "Mäse - Percussion";
  }

@media (max-width: 480px) {
   .about-text p {
       font-size: 14px;
   }
}

@media (max-width: 1024px) {
   h2 {
      font-size: 80px;
      letter-spacing: -6px;
   }
}



@media (max-width: 1024px) {
   .date {
      font-family: "Inter", sans-serif;
      font-weight: 900;
      font-size: 20px;
      color: white;
   }
}

@media (max-width: 1024px) {
   .event {
      font-size: 20px;
   }
}

@media (max-width: 1024px) {
   .info{
      font-size: 20px;
      padding: 5px;
   }
}

.impressum-text{
   background-color: var(--beige);
   color: var(--fuchsia);
   font-family: "Inter", sans-serif;
    font-weight: 400;
    font-size: 18px;
    color: var(--fuchsia);
  }

.impressum-text-container {
   align-items: center;
   justify-content: center;
   margin-left: 10vw;
   margin-right: 10vw;
   padding: 10px;
}


.impressum-text{
   background-color: var(--beige);
   color: var(--fuchsia);
   font-family: "Inter", sans-serif;
    font-weight: 400;
    font-size: 18px;
    color: var(--fuchsia);
  }

.impressum-text-container {
   align-items: center;
   justify-content: center;
   margin-left: 10vw;
   margin-right: 10vw;
   padding: 10px;
}

.impressum {
   font-family: "Inter", sans-serif;
   font-weight: 400;
   font-size: 14px;
   width: 100vw;
   justify-content: center;
   display: flex;
   align-items: center;
   text-align: center;
   padding-top: 20px;
}

.impressum a {
   text-decoration: none;
   color: var(--beige); 
   text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.impressum a:hover{
   color: var(--lightpink);
   transition: 0.3s;
}
@media (max-width: 800px) {
h2.impressumtitle {
   font-size: 70px;
}
}